# slDOMSet

## ExtensionsPrototype. slDOMSet

#### new slDOMSet(cssSelectoropt)

Source:
  - dictionary.d.js, line 347

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`cssSelector` | string | <optional> |

### Methods

#### add() → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 383

##### Parameters:

Name | Type | Description
--- | --- | ---
`...v` | NodeList | any | array of Nodes or HTMLElements

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### attr() → {NamedNodeMap}

Source:
  - dictionary.d.js, line 464

##### Returns:

Type
  NamedNodeMap

#### attr(attribute) → {string}

Source:
  - dictionary.d.js, line 469

##### Parameters:

Name | Type | Description
--- | --- | ---
`attribute` | string |

##### Returns:

Type
  string

#### attr(attribute, value) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 475

##### Parameters:

Name | Type | Description
--- | --- | ---
`attribute` | string |
`value` | any |

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### attr() → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 482

##### Parameters:

Name | Type | Description
--- | --- | ---
`...attr_value` | any |

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### config(key, value) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 353

##### Parameters:

Name | Type | Description
--- | --- | ---
`key` | string |
`value` | any |

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### config(key) → {any}

Source:
  - dictionary.d.js, line 360

##### Parameters:

Name | Type | Description
--- | --- | ---
`key` | string |

##### Returns:

Type
  any

#### each(filterCallback) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 451

##### Parameters:

Name | Type | Description
--- | --- | ---
`filterCallback` | ExtensionsPrototype.slDOMSet.itemHandler |

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### env() → {ExtensionsPrototype.slDOM_env}

Source:
  - dictionary.d.js, line 389

##### Returns:

Type
  ExtensionsPrototype.slDOM_env

#### eq(index) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 405

##### Parameters:

Name | Type | Description
--- | --- | ---
`index` | number |

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### filter(filterCallback) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 445

##### Parameters:

Name | Type | Description
--- | --- | ---
`filterCallback` | ExtensionsPrototype.slDOMSet.itemHandlerFilter |

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### find(cssSelector) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 411

##### Parameters:

Name | Type | Description
--- | --- | ---
`cssSelector` | string |

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### get() → {Array.<Node>}

Source:
  - dictionary.d.js, line 394

##### Returns:

Type
  Array.<Node>

#### get(index) → {Node}

Source:
  - dictionary.d.js, line 399

##### Parameters:

Name | Type | Description
--- | --- | ---
`index` | number |

##### Returns:

Type
  Node

#### map(filterCallback) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 457

##### Parameters:

Name | Type | Description
--- | --- | ---
`filterCallback` | ExtensionsPrototype.slDOMSet.itemHandlerMap |

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### set(v) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 371

##### Parameters:

Name | Type | Description
--- | --- | ---
`v` | string | css selector applied over document

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### set(v) → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 377

##### Parameters:

Name | Type | Description
--- | --- | ---
`v` | NodeList | Array.<any> | array of Nodes or HTMLElements

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

#### unique() → {ExtensionsPrototype.slDOMSet}

Source:
  - dictionary.d.js, line 366

##### Returns:

Type
  ExtensionsPrototype.slDOMSet

### Type Definitions

#### itemHandler(node, index, context, p)

Source:
  - dictionary.d.js, line 419

##### Parameters:

Name | Type | Description
--- | --- | ---
`node` | Node |
`index` | number |
`context` | ExtensionsPrototype.slDOMSet |
`p` | ExtensionsPrototype.slDOM |

#### itemHandlerFilter(node, index, context, p) → {boolean}

Source:
  - dictionary.d.js, line 427

##### Parameters:

Name | Type | Description
--- | --- | ---
`node` | Node |
`index` | number |
`context` | ExtensionsPrototype.slDOMSet |
`p` | ExtensionsPrototype.slDOM |

##### Returns:

Type
  boolean

#### itemHandlerMap(node, index, context, p) → {Node}

Source:
  - dictionary.d.js, line 436

##### Parameters:

Name | Type | Description
--- | --- | ---
`node` | Node |
`index` | number |
`context` | ExtensionsPrototype.slDOMSet |
`p` | ExtensionsPrototype.slDOM |

##### Returns:

Type
  Node